cURL
curl --request GET \
--url https://api.grainfinance.co/v1/customers/{customerId}/hedges/{hedgeId}/drawdown \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.grainfinance.co/v1/customers/{customerId}/hedges/{hedgeId}/drawdown"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.grainfinance.co/v1/customers/{customerId}/hedges/{hedgeId}/drawdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"drawdowns": [
{
"id": "4d78ac65-2c3f-47e2-8bf3-3f76124e9d27",
"hedgeId": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
"status": "Active",
"fromCurrency": "MXN",
"toCurrency": "USD",
"fromCurrencyAmount": 8040.43,
"toCurrencyAmount": 390,
"collateralAmountReleased": 402.02,
"quote": 20.6165,
"endAt": "2023-01-25",
"settlementAt": "2023-01-26",
"beforeHedgeState": {
"fromCurrencyAmount": 32161.8,
"toCurrencyAmount": 1560,
"quote": 20.6165,
"endAt": "2023-02-23",
"settlementAt": "2023-02-24",
"collateralAmount": 1608.09
},
"afterHedgeState": {
"fromCurrencyAmount": 24121.37,
"toCurrencyAmount": 1170,
"quote": 20.6165,
"endAt": "2023-02-23",
"settlementAt": "2023-02-24",
"collateralAmount": 1206.07
}
}
],
"pagination": {
"page": 1,
"perPage": 100,
"totalResults": 1
}
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}Drawdown
List Drawdowns
Lists the drawdowns executed against the hedge. Supports filtering by drawdown status.
GET
/
customers
/
{customerId}
/
hedges
/
{hedgeId}
/
drawdown
cURL
Authorizations
Basic authentication using the partner API keys from https://console.grainfinance.co/keys
Path Parameters
The id of the customer within the Grain platform.
Pattern:
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}The id of the hedge within the Grain platform.
Pattern:
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}Query Parameters
page number indicating which set of items to return The page indicating which set of items are returned
Required range:
x >= 1number of items in a page
Required range:
1 <= x <= 100Status filter - only drawdowns in this status will be returned. The status of a drawdown as shown to partners. A drawdown is InProcess from acceptance until its settlement completes, Completed once settled, and Overdue when settlement is late.
Available options:
Active, InProcess, Completed, Overdue